> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization security finding detail



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/security/findings/{finding_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/findings/{finding_id}:
    get:
      tags:
        - Security
      summary: Get organization security finding detail
      operationId: get_security_finding
      parameters:
        - in: path
          name: finding_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityFindingDetailResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission or CSRF denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Disposition conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityFindingDetailResponse:
      properties:
        finding:
          $ref: '#/components/schemas/SecurityFindingSummary'
        matching_policies:
          items:
            $ref: '#/components/schemas/VulnerabilityDispositionPolicy'
          type: array
        occurrences:
          items:
            $ref: '#/components/schemas/SecurityOccurrence'
          type: array
      required:
        - finding
        - occurrences
        - matching_policies
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityFindingSummary:
      properties:
        affected_clusters:
          type: integer
        affected_workloads:
          type: integer
        cve_id:
          type: string
        disposition_counts:
          $ref: '#/components/schemas/SecurityDispositionCounts'
        first_seen_at:
          format: date-time
          type: string
        fixable_occurrences:
          type: integer
        id:
          format: uuid
          type: string
        last_seen_at:
          format: date-time
          type: string
        occurrences:
          type: integer
        package_name:
          type: string
        package_type:
          type: string
        primary_link:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          type: string
        score:
          anyOf:
            - format: double
              type: number
            - type: 'null'
        severity:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - provider
        - cve_id
        - package_type
        - package_name
        - severity
        - title
        - primary_link
        - score
        - first_seen_at
        - last_seen_at
        - occurrences
        - affected_clusters
        - affected_workloads
        - fixable_occurrences
        - disposition_counts
      type: object
    VulnerabilityDispositionPolicy:
      properties:
        active_match_count:
          type: integer
        created_at:
          format: date-time
          type: string
        created_by:
          type: string
        disposition:
          enum:
            - acknowledged
            - accepted_risk
          type: string
        expire_when_fix_available:
          type: boolean
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        fix_available_match_count:
          type: integer
        id:
          format: uuid
          type: string
        last_evaluated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        last_matched_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        match_health:
          type: string
        matched_occurrence_count:
          type: integer
        reason:
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        revoked_by:
          anyOf:
            - type: string
            - type: 'null'
        revoked_reason:
          anyOf:
            - type: string
            - type: 'null'
        selector:
          $ref: '#/components/schemas/VulnerabilityDispositionSelector'
        selector_hash:
          type: string
        status:
          type: string
        updated_at:
          format: date-time
          type: string
        updated_by:
          type: string
      required:
        - id
        - selector
        - selector_hash
        - disposition
        - reason
        - expires_at
        - expire_when_fix_available
        - created_by
        - updated_by
        - status
        - match_health
        - matched_occurrence_count
        - active_match_count
        - fix_available_match_count
        - last_evaluated_at
        - last_matched_at
        - revoked_at
        - revoked_by
        - revoked_reason
        - created_at
        - updated_at
      type: object
    SecurityOccurrence:
      properties:
        addon_attribution_confidence:
          type: string
        addon_attribution_reason:
          type: string
        addon_slug:
          anyOf:
            - type: string
            - type: 'null'
        cluster_id:
          format: uuid
          type: string
        cluster_name:
          type: string
        container_name:
          anyOf:
            - type: string
            - type: 'null'
        effective_disposition:
          type: string
        effective_policy_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
        first_seen_at:
          format: date-time
          type: string
        fixed_version:
          anyOf:
            - type: string
            - type: 'null'
        id:
          format: uuid
          type: string
        image_digest:
          anyOf:
            - type: string
            - type: 'null'
        image_ref:
          anyOf:
            - type: string
            - type: 'null'
        installed_version:
          anyOf:
            - type: string
            - type: 'null'
        last_evaluated_at:
          format: date-time
          type: string
        last_seen_at:
          format: date-time
          type: string
        report_name:
          type: string
        report_namespace:
          anyOf:
            - type: string
            - type: 'null'
        report_scope:
          type: string
        report_uid:
          anyOf:
            - type: string
            - type: 'null'
        resolved_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        scan_state:
          type: string
        workload_kind:
          anyOf:
            - type: string
            - type: 'null'
        workload_name:
          anyOf:
            - type: string
            - type: 'null'
        workload_namespace:
          anyOf:
            - type: string
            - type: 'null'
        workload_uid:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - cluster_id
        - cluster_name
        - report_scope
        - report_uid
        - report_name
        - report_namespace
        - workload_uid
        - workload_kind
        - workload_namespace
        - workload_name
        - container_name
        - image_ref
        - image_digest
        - installed_version
        - fixed_version
        - addon_slug
        - addon_attribution_confidence
        - addon_attribution_reason
        - scan_state
        - effective_disposition
        - effective_policy_id
        - first_seen_at
        - last_seen_at
        - last_evaluated_at
        - resolved_at
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SecurityDispositionCounts:
      properties:
        accepted_risk:
          type: integer
        acknowledged:
          type: integer
        open:
          type: integer
        resolved:
          type: integer
      required:
        - open
        - acknowledged
        - accepted_risk
        - resolved
      type: object
    VulnerabilityDispositionSelector:
      properties:
        addon_slug:
          type: string
        cluster_id:
          format: uuid
          type: string
        cve_id:
          type: string
        explicit_broad:
          type: boolean
        image_digest:
          type: string
        organisation_id:
          format: uuid
          type: string
        package_name:
          type: string
        package_type:
          type: string
        workload_kind:
          type: string
        workload_name:
          type: string
        workload_namespace:
          type: string
      required:
        - organisation_id
      type: object

````